org.cpsolver.ifs.assignment

## Interface InheritedAssignment<V extends Variable<V,T>,T extends Value<V,T>>

- Type Parameters:
    `V` - Variable
    `T` - Value
  All Superinterfaces:
    Assignment<V,T>
  All Known Implementing Classes:
    DefaultInheritedAssignment, InheritedAssignmentArray, OptimisticInheritedAssignment

      public interface InheritedAssignment<V extends Variable<V,T>,T extends Value<V,T>>
      extends Assignment<V,T>

  An assignment inherited from some other assignment with only a few local modifications. This can be used to pass a "copy" of an assignment to a neighbor selection.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller
  See Also:
    `Assignment`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Assignment<V,T>` | `getParentAssignment()` Return parent assignment.
    `long` | `getVersion()` Version of the assignment (usually the iteration of the parent assignment at the time of creation)

    - ### Methods inherited from interface org.cpsolver.ifs.assignment.Assignment

      `assign, assignedValues, assignedVariables, clearContext, getAssignmentContext, getIndex, getIteration, getValue, nrAssignedVariables, nrUnassignedVariables, unassign, unassign, unassignedVariables`

- - ### Method Detail

    - #### getParentAssignment

          Assignment<V,T> getParentAssignment()

      Return parent assignment.
      Returns:
        parent assignment

    - #### getVersion

          long getVersion()

      Version of the assignment (usually the iteration of the parent assignment at the time of creation)
      Returns:
        version of the inherited assignment